# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/9/7
import datetime
import os
import random
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.xiaoniangao_play_list import PlayList


class Main:
    @classmethod
    def main(cls, env):
        while True:
            if 18 >= datetime.datetime.now().hour >= 6:

                Common.logger('play').info('获取 uid / token\n')
                PlayList.get_uid_token('play')

                for i in range(50):
                    Common.logger('play').info('正在抓取第{}页，小年糕播放量榜\n', i+1)
                    PlayList.get_play_feeds('play')
                    time.sleep(2)

                Common.logger('play').info('开始下载/上传\n')
                PlayList.run_download_publish('play', env)

                Common.del_logs('play')
                time.sleep(random.randint(10, 20))

            else:
                pass


if __name__ == '__main__':
    Main.main('prod')
